For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
SupportDeel Home
OverviewPlatformEmployer of RecordContractorsGlobal PayrollHREmbeddedDeel ITAPI ReferenceChangelog
OverviewPlatformEmployer of RecordContractorsGlobal PayrollHREmbeddedDeel ITAPI ReferenceChangelog
  • Resources
    • Blog
    • Community
    • API spec
  • Platform
    • Introduction
    • Screenings
    • Immigration
  • Endpoints
      • POSTCreate a Manager
      • GETRetrieve List of Managers
LogoLogo
SupportDeel Home
EndpointsManagers

Retrieve List of Managers

GET
/managers
GET
/rest/v2/managers
$curl -G https://api.letsdeel.com/rest/v2/managers \
> -H "Authorization: Bearer <token>" \
> -d limit=10 \
> -d offset=0
1{
2 "data": [
3 {
4 "id": "string",
5 "email": "john.doe@example.com",
6 "last_name": "Doe",
7 "first_name": "John"
8 }
9 ],
10 "page": {
11 "total_rows": 50,
12 "offset": 10,
13 "items_per_page": 10
14 }
15}

Returns a paginated list of all managers in the organization. Token scopes: organizations:read

Was this page helpful?
Previous

Create child organization

Next
Built with

Authentication

AuthorizationBearer
## Authentication The Deel API uses bearer tokens to authenticate requests. All API calls must be made over HTTPS — calls over plain HTTP or without authentication will fail. ```curl curl -X GET 'https://api.letsdeel.com/rest/v2/contracts' \ -H 'Authorization: Bearer YOUR-TOKEN-HERE' ``` [Learn more about authentication](/api/authentication)
OR
AuthorizationBearer

Standard OAuth2 security scheme based on https://swagger.io/docs/specification/authentication/

Query parameters

limitintegerOptional>=1
The number of records to return in the response.
offsetintegerOptional>=0
The offset or starting point for pagination.

Response

Successful operation.
datalist of objects
List of managers in the organization.
pageobject
Pagination details for the response.

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
500
Internal Server Error

Authentication

The Deel API uses bearer tokens to authenticate requests. All API calls must be made over HTTPS — calls over plain HTTP or without authentication will fail.

1curl -X GET 'https://api.letsdeel.com/rest/v2/contracts' \
2 -H 'Authorization: Bearer YOUR-TOKEN-HERE'

Learn more about authentication